#ifndef CUBEWIDGET_H
#define CUBEWIDGET_H

#include <QtGui>
#include <QtOpenGL>
#include <QOpenGLFunctions>



class CubeWidget : public QGLWidget
{
protected :
    void initializeGL ( ) ;
    void paintGL ( ) ;
    void resizeGL(int width , int height ) ;
    void mousePressEvent(QMouseEvent *event ) ;
    void mouseMoveEvent(QMouseEvent *event ) ;
    void wheelEvent(QWheelEvent *event ) ;

public:
    CubeWidget(QWidget *parent = 0);

    QSize minimumSizeHint() const;
    QSize sizeHint() const;
};

#endif // CUBEWIDGET_H
